Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm
Class QVTOVirtualMachineProxy

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.QVTOVirtualMachineProxy

All Implemented Interfaces:
  IQVTOVirtualMachineShell

    public class QVTOVirtualMachineProxy

extends java.lang.Object
implements IQVTOVirtualMachineShell

Constructor Summary
`QVTOVirtualMachineProxy(java.lang.String host, int requestPort, Monitor monitor)`

Method Summary
`boolean` | `isAvailable()`
`boolean` | `isTerminated()`
`VMEvent` | `readVMEvent()`
`VMResponse` | `sendRequest(VMRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QVTOVirtualMachineProxy

    public QVTOVirtualMachineProxy(java.lang.String host,
                                   int requestPort,
                                   Monitor monitor)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### isTerminated

    public boolean isTerminated()

  Specified by:
    `isTerminated` in interface `IQVTOVirtualMachineShell`

### isAvailable

    public boolean isAvailable()

### sendRequest

    public VMResponse sendRequest(VMRequest request)
                           throws java.io.IOException

  Specified by:
    `sendRequest` in interface `IQVTOVirtualMachineShell`
  Throws:
    `java.io.IOException`

### readVMEvent

    public VMEvent readVMEvent()
                        throws java.io.IOException

  Specified by:
    `readVMEvent` in interface `IQVTOVirtualMachineShell`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD